import requests

HOST = "http://localhost:3000/"

"""Achat d'une action par un actionnaire à une entreprise
    input : 
        - idBuyer : identifiant de l'actionnaire
        - idShare : identifiant de l'action
"""
def buyShare(idBuyer, idShare):
    url = HOST + 'api/shares/buy'
    obj={'id':idBuyer,'share_id':idShare}
    r = requests.post(url, json=obj)
    return r.json()

"""Affichage les actions possédées par un actionnaire
    input : 
        - idBuyer : identifiant de l'actionnaire
"""
def getSharesOf(idBuyer):
    url = HOST + 'api/shareholders/'+idBuyer+'/shares'
    r = requests.get(url)
    return r.json()

"""Affichage les informations d'une actions
    input : 
        - idShare : identifiant de l'action
"""
def getShare(idShare):
    url = HOST + 'api/shares/'+idShare
    r = requests.get(url)
    return r.json()

"""Affichage les actions en circulation sur le marché (possédées ou en vente) """
def getAllShares():
    url = HOST + 'api/shares'
    r = requests.get(url)
    return r.json()

"""Affichage les informations sur un actionnaire
    input : 
        - idBuyer : identifiant de l'actionnaire
"""
def getInfoBuyer(idBuyer):
    url = HOST + 'api/shareholders/'+idBuyer
    r=requests.get(url)
    return r.json()

"""Affichage tous les actionnaires """
def getAllBuyers():
    url = HOST + 'api/shareholders/'
    r=requests.get(url)
    return r.json()

if __name__ == "__main__":
    pass

